edu.msu.cme.rdp.classifier.train

## Class LineageSequence

- java.lang.Object
- - edu.msu.cme.rdp.readseq.readers.Sequence
  - - edu.msu.cme.rdp.classifier.train.LineageSequence

All Implemented Interfaces:
  java.io.Serializable

    public class LineageSequence
    extends edu.msu.cme.rdp.readseq.readers.Sequence

A ParsedRawSequence holds the data for a raw sequence.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class edu.msu.cme.rdp.readseq.readers.Sequence

`desc, seqName, seqString`

### Constructor Summary

Constructors
Constructor and Description
`LineageSequence(java.lang.String n, java.util.List<java.lang.String> al, java.lang.String seq)` Creates new ParsedRawSequence.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<java.lang.String>` `getAncestors()` Returns the list of the ancestor taxa, with the highest ranked taxon first.
`java.lang.String` `getDesc()`
`edu.msu.cme.rdp.readseq.utils.orientation.GoodWordIterator` `getPartialSeqIteratorbyGoodBases(int num_good_bases)`

### Methods inherited from class edu.msu.cme.rdp.readseq.readers.Sequence

`getSeqName, getSeqString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LineageSequence

    public LineageSequence(java.lang.String n,
                           java.util.List<java.lang.String> al,
                           java.lang.String seq)

Creates new ParsedRawSequence.

### Method Detail

#### getAncestors

    public java.util.List<java.lang.String> getAncestors()

Returns the list of the ancestor taxa, with the highest ranked taxon first.

#### getDesc

    public java.lang.String getDesc()

Overrides:
  `getDesc` in class `edu.msu.cme.rdp.readseq.readers.Sequence`

#### getPartialSeqIteratorbyGoodBases

    public edu.msu.cme.rdp.readseq.utils.orientation.GoodWordIterator getPartialSeqIteratorbyGoodBases(int num_good_bases)
                                                                                                throws java.io.IOException

Throws:
  `java.io.IOException`